Now, (4T_n+k)^2-(4T_n-k)^2=16T_nk (this, of course, shows up in the geometric proof as four rectangles where one side is 4T_n and the other is k)
so this is equivalent to
16T_nT_n = 16 T_n (1+...n)
which is equvialent to:
T_n=1+...n
But that is the very definition of T_n. Q.e.d.
Also if you want to take Pythagoras to a new level, Edsger W. Dijkstra who is much better known for his work in CS has a very interesting formulation https://www.cs.utexas.edu/users/EWD/transcriptions/EWD09xx/E... proving sgn(alpha+beta-gamma)=sgn(a^2+b^2-c^2) which includes and extends the Pythagoras theorem.
The caption "The equation 1⁰² + 1¹² + 1²² = 1³² + 1⁴², whose answer is that both sides equal 365, was immortalized in a different form in this 1895 painting: “Mental Arithmetic. In the Public School of S. Rachinsky.” (NIKOLAY BOGDANOV-BELSKY)" has funky exponents. Medium requires that I make an account to say that, so I am saying it here.
It's a bit of detail to juggle in your head but not too bad if you hang on to your current subtotal and remember where you are in the sequence to compute the next addend, and you know it's easier to add multi-digit numbers left-to-right than-right to-left.
These are bast shoes [0], known in Russian as lápti, which were the typical footwear in villages until the 20th century. They are strapped to the leg so that they don't fall off.
I thought this was going to help me with Project Euler 261 [0], but it's not exactly the same, so no luck so far. Cool article anyway; linking geometry and algebra is always satisfactory.
How much CPU time and number theory do problems in that range generally require?
Brute force search of 10^10 (with some automatic monitoring of how wide a range of 'm' to scan at each candidate) is a lot but not a lot of a lot, if you code in a CPU efficient language and maybe use parallel computation and are willing to wait a while.
The difficulty and the required run time vary a lot starting from problem 150 or so. This one seems particularly difficult (it's rated at 85% difficulty, which is also the highest I've managed to solve). The problem here is that the search space is not 10^10, but higher, since if you iterate over k you don't know which values of m or n need to be tested. For m=1 it's clear that you can just use Pythagorean triples, but for bigger values I don't know if there is a reliable procedure to generate solutions.
Pythagoreans believed that the world was made of math -- and that the harmonies of mathematics revealed the harmonies of the universe. Pretty good for 6th century BC.
(4T_n)^2=(4T_n+1)^2-(4T_n-1)^2+....(4T_n+n)^2-(4T_n-n)^2
Now, (4T_n+k)^2-(4T_n-k)^2=16T_nk (this, of course, shows up in the geometric proof as four rectangles where one side is 4T_n and the other is k)
so this is equivalent to
16T_nT_n = 16 T_n (1+...n)
which is equvialent to:
T_n=1+...n
But that is the very definition of T_n. Q.e.d.
Also if you want to take Pythagoras to a new level, Edsger W. Dijkstra who is much better known for his work in CS has a very interesting formulation https://www.cs.utexas.edu/users/EWD/transcriptions/EWD09xx/E... proving sgn(alpha+beta-gamma)=sgn(a^2+b^2-c^2) which includes and extends the Pythagoras theorem.